Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006752TestLinkpublic2014-11-14 12:182014-12-31 14:22
Reporterbaggiogamp 
Assigned Tofman 
PriorityhighSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.12 (2014 Q3) 
Fixed in Version1.9.13 (2015 #1) 
Summary0006752: Could not Set Test cases urgency in bulk mode.
DescriptionAfter click one of the three "Set all Test Suite urgency" buttons, error message will display. "DB Access Error - debug_print_backtrace() OUTPUT START "
There is no php error log display in error log.

Environment description:
1) upgrade from 1.9.5 to 1.9.12
2) there is not error found during upgrading.

Any more info you need, please ask.
I am failed to reproduce it in demo app.
Steps To Reproduce1) At home page, click "Set Urgent Tests " link
2) Choose one test suite from left tree (which contains more than one test cases)
3) Click any button after "Set all Test Suite urgency: "
4) error message will display:
==============================================================================
 DB Access Error - debug_print_backtrace() OUTPUT START
 ==============================================================================
 ==============================================================================



Testlink Error log:
[<<][5465f2202d255453763249][DEFAULT][/testlink-1.9.12/lib/plan/planUrgency.php][14/Nov/14 12:14:24][14/Nov/14 12:14:24][took 0.095932 secs]
[>>][5465f22044a8a017988019][DEFAULT][/testlink-1.9.12/lib/plan/planUrgency.php][14/Nov/14 12:14:24]
        [14/Nov/14 12:14:24][ERROR][43ltjos8r0alu72pa22irgue5op4cag3][DATABASE]
                ERROR ON exec_query() - database.class.php
1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1 - UPDATE testplan_tcversions SET urgency=3 WHERE testplan_id= 42399 AND tcversion_id IN ( SELECT NHB.id FROM nodes_hierarchy NHA, nodes_hierarchy NHB, node_types NT WHERE NHA.node_type_id = NT.id AND NT.description='testcase' AND NHB.parent_id = NHA.id AND NHA.parent_id = 46346
THE MESSAGE : UPDATE testplan_tcversions SET urgency=3 WHERE testplan_id= 42399 AND tcversion_id IN ( SELECT NHB.id FROM nodes_hierarchy NHA, nodes_hierarchy NHB, node_types NT WHERE NHA.node_type_id = NT.id AND NT.description='testcase' AND NHB.parent_id = NHA.id AND NHA.parent_id = 46346
Query failed: errorcode[1064]
        errormsg:You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1
        [14/Nov/14 12:14:24][WARNING][43ltjos8r0alu72pa22irgue5op4cag3][GUI]
                E_NOTICE
Use of undefined constant DEBUG_BACKTRACE_IGNORE_ARGS - assumed 'DEBUG_BACKTRACE_IGNORE_ARGS' - in /usr/local/apache/htdocs/testlink-1.9.12/lib/functions/database.class.php - Line 214
        [14/Nov/14 12:14:24][WARNING][43ltjos8r0alu72pa22irgue5op4cag3][GUI]
                E_WARNING
Wrong parameter count for debug_print_backtrace() - in /usr/local/apache/htdocs/testlink-1.9.12/lib/functions/database.class.php - Line 214
        [14/Nov/14 12:14:24][WARNING][43ltjos8r0alu72pa22irgue5op4cag3][GUI]
                E_NOTICE
Undefined index: assigned_to - in /usr/local/apache/htdocs/testlink-1.9.12/gui/templates_c/a778cbffe7696a8557fdf6800cb76e24df3da6a7.file.planUrgency.tpl.php - Line 127
        [14/Nov/14 12:14:24][WARNING][43ltjos8r0alu72pa22irgue5op4cag3][GUI]
                E_NOTICE
Undefined index: assigned_to - in /usr/local/apache/htdocs/testlink-1.9.12/gui/templates_c/a778cbffe7696a8557fdf6800cb76e24df3da6a7.file.planUrgency.tpl.php - Line 127
[<<][5465f22044a8a017988019][DEFAULT][/testlink-1.9.12/lib/plan/planUrgency.php][14/Nov/14 12:14:24][14/Nov/14 12:14:24][took 0.138166 secs]
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon SetUrgencyInBulkBug.png [^] (101,406 bytes) 2014-11-14 12:18

- Relationships
child of 0006609closedfman Availables hot-fixes for 1.9.12 & How To get full fixed package from gitorious 

-  Notes
(0022148)
fman (administrator)
2014-11-14 12:56

1. have you checked for similar issues before posting?
2. please before continue adding issues on 1.9.12, get fixes
http://mantis.testlink.org/view.php?id=6609 [^]
apply to a SANDBOX install and retest
(0022171)
baggiogamp (reporter)
2014-11-17 06:22

I did not find any similar issues before posing, i search by Category and keywork, where is not Category for this one.

I had got all latest code in branch 1.9
$ git status
HEAD detached at db2cdd6
nothing to commit, working directory clean

After i override all the latest code, i even could not login.
How do i get only the files fixed issues?
(0022172)
fman (administrator)
2014-11-17 08:49

please follow instructions present on:

0006609: Availables hot-fixes for 1.9.12 & How To get full fixed package from gitorious
(0022173)
baggiogamp (reporter)
2014-11-17 11:07

I had follow that guide,switch to testlink_1_9 branch.
$/c/work/testlink_source/testlink-code (origin/testlink_1_9)

still the same error. Could not login.
(0022182)
fman (administrator)
2014-11-17 18:48

Tested with
testlink-ga-testlink-code-5768c0f8f3460ec9e58ce6c88fb97f57fd65f62e.tar.gz
(0022186)
baggiogamp (reporter)
2014-11-18 01:00

where could i got testlink-ga-testlink-code-5768c0f8f3460ec9e58ce6c88fb97f57fd65f62e.tar.gz ?
(0022191)
fman (administrator)
2014-11-18 06:09

doing what is explained on note 0022172

- Issue History
Date Modified Username Field Change
2014-11-14 12:18 baggiogamp New Issue
2014-11-14 12:18 baggiogamp File Added: SetUrgencyInBulkBug.png
2014-11-14 12:56 fman Note Added: 0022148
2014-11-14 12:56 fman Assigned To => fman
2014-11-14 12:56 fman Status new => feedback
2014-11-17 06:22 baggiogamp Note Added: 0022171
2014-11-17 06:22 baggiogamp Status feedback => assigned
2014-11-17 08:49 fman Note Added: 0022172
2014-11-17 11:07 baggiogamp Note Added: 0022173
2014-11-17 18:48 fman Note Added: 0022182
2014-11-17 19:26 fman Note View State: 0022182: public
2014-11-17 19:27 fman QA Team - Task Workflow Status => READY FOR TESTING
2014-11-17 19:27 fman Status assigned => resolved
2014-11-17 19:27 fman Fixed in Version => 1.9.13 (2015 #1)
2014-11-17 19:27 fman Resolution open => fixed
2014-11-17 19:29 fman Relationship added child of 0006609
2014-11-18 01:00 baggiogamp Note Added: 0022186
2014-11-18 06:09 fman Note Added: 0022191
2014-12-31 14:22 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker